# Class CosmwasmWormholeCore<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends CosmwasmChains

#### Hierarchy

- CosmwasmWormholeCore

#### Implements

- WormholeCore<N, CosmwasmPlatformType, C>

- Defined in core.ts:22

#####
Index

### Constructors

constructor

### Properties

chain
contracts
coreAddress
network
rpc

### Methods

getMessageFee
parseTransaction
publishMessage
verifyMessage
fromRpc
parseWormholeMessage

## Constructors

### `Private` constructor

- new CosmwasmWormholeCore<N, C>(network, chain, rpc, contracts): CosmwasmWormholeCore<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira"

  #### Parameters

  - ##### network: N

  - ##### chain: C

  - ##### rpc: CosmWasmClient

  - ##### contracts: Contracts

  #### Returns CosmwasmWormholeCore<N, C>

  - Defined in core.ts:27

## Properties

### `Readonly` chain

chain: C

- Defined in core.ts:29

### `Readonly` contracts

contracts: Contracts

- Defined in core.ts:31

### `Private` coreAddress

coreAddress: string

- Defined in core.ts:25

### `Readonly` network

network: N

- Defined in core.ts:28

### `Readonly` rpc

rpc: CosmWasmClient

- Defined in core.ts:30

## Methods

### getMessageFee

- getMessageFee(): Promise<bigint>

- #### Returns Promise<bigint>

  Implementation of WormholeCore.getMessageFee

  - Defined in core.ts:40

### parseTransaction

- parseTransaction(txid): Promise<WormholeMessageId[]>

- #### Parameters

  - ##### txid: string

  #### Returns Promise<WormholeMessageId[]>

  Implementation of WormholeCore.parseTransaction

  - Defined in core.ts:68

### publishMessage

- publishMessage(sender, message, nonce, consistencyLevel): AsyncGenerator<CosmwasmUnsignedTransaction<N, C>, any, unknown>

- #### Parameters

  - ##### sender: AnyCosmwasmAddress

  - ##### message: Uint8Array

  - ##### nonce: number

  - ##### consistencyLevel: number

  #### Returns AsyncGenerator<CosmwasmUnsignedTransaction<N, C>, any, unknown>

  Implementation of WormholeCore.publishMessage

  - Defined in core.ts:55

### verifyMessage

- verifyMessage(sender, vaa): AsyncGenerator<never, void, unknown>

- #### Parameters

  - ##### sender: AnyCosmwasmAddress

  - ##### vaa: VAA<PayloadLiteral>

  #### Returns AsyncGenerator<never, void, unknown>

  Implementation of WormholeCore.verifyMessage

  - Defined in core.ts:64

### `Static` fromRpc

- fromRpc<N>(rpc, config): Promise<CosmwasmWormholeCore<N, "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira">>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### rpc: CosmWasmClient

  - ##### config: ChainsConfig<N, "Cosmwasm">

  #### Returns Promise<CosmwasmWormholeCore<N, "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira">>

  - Defined in core.ts:44

### `Static` parseWormholeMessage

- parseWormholeMessage(chain, coreAddress, tx): WormholeMessageId

- #### Parameters

  - ##### chain: "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  - ##### coreAddress: string

  - ##### tx: IndexedTx

  #### Returns WormholeMessageId

  - Defined in core.ts:75

Generated using TypeDoc